.wrapper{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  
  a{
    display: block;
    width: 200px;
    height: 40px;
    line-height: 40px;
    font-size: 18px;
    font-family: sans-serif;
    text-decoration: none;
    color: rgb(202, 98, 233);
    border: 2px solid rgb(62, 3, 3);
    letter-spacing: 2px;
    text-align: center;
    position: relative;
    transition: all .35s;
  }
  
  a span{
    position: relative;
    z-index: 2;
  }
  
  a:after{
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: #140a81;
    transition: all .35s;
  }
  
  a:hover{
    color: #fff;
  }
  
  a:hover:after{
    width: 100%;
  }